NineChime forum

Furry stuff, oekaki stuff, and other stuff.

You are not logged in.

#1 10-24-2011 20:10:09

rainbow
Member

Testing WaxPoteto (and OekakiPoteto) on old computers.

Okay...

I tested out the access to my oekaki on the latest version of WaxPoteto on the Toshiba Tecra 720CDT laptop (manufactured in March 1996) and I found that I can still attempt to draw on the old laptop with Windows 95 OSR2 installed. The laptop only has a 133 MHz Mobile Pentium processor, a 1.2 GB IDE hard drive with just 48 MB of EDO memory and a Chips & Technologies 65550 video chip with 2 MB video RAM. I'm looking on attempting to upgrade the 15-year old laptop soon, because the laptop doesn't have much RAM and is close to running out of disk space.

I recently got a Linksys WPC11 v2.5 PCMCIA wireless ethernet card in a attempt to browser the internet on that laptop last week.

Anyways, for testing purposes, I recently installed Java 1.3.1u27 and I found that PaintBBS, OekakiBBS and Shi-Painter seem to work okay under K-Meleon and Internet Explorer 5.5 SP2, but when I attempted to test ChibiPaint, the status bar reads, "Applet chibipaint.ChibiPaint notinited". neutral

Along with Microsoft's version of Java, what is the earliest version Sun/Oracle Java tested to run on oekaki-based apps in regards to WaxPoteto?

Offline

#2 10-25-2011 07:04:38

Waccoon
Administrator

Re: Testing WaxPoteto (and OekakiPoteto) on old computers.

I'm not totally sure, myself.

I believe the earliest version would be Java 2, version 1.3 (Java version numbers aren't easy to understand).  That runtime was released back in 2000.  It's possible that version 1.2 will work as well.  The PaintBBS and ShiPainter apps are very old.

ChibiPaint is much more modern and probably requires Java 2, version 5, which was released in 2004.  When I made some modifications to ChibiPaint and recompiled it, I told my IDE to use Java 2, version 5.

Offline

#3 10-25-2011 11:54:18

rainbow
Member

Re: Testing WaxPoteto (and OekakiPoteto) on old computers.

Waccoon wrote:

I'm not totally sure, myself.

I believe the earliest version would be Java 2, version 1.3 (Java version numbers aren't easy to understand).  That runtime was released back in 2000.  It's possible that version 1.2 will work as well.  The PaintBBS and ShiPainter apps are very old.

ChibiPaint is much more modern and probably requires Java 2, version 5, which was released in 2004.  When I made some modifications to ChibiPaint and recompiled it, I told my IDE to use Java 2, version 5.

Thank you so much, I recall that running Java applets under Firefox 0.8 through Firefox 3.5.x requires at least Java 1.2. Java 1.2, the earliest known version to work with Java applets even worked on a 80486 processor with as little as 16 MB of memory, but it worked really slowly. And I believe that Netscape Communicator's version of Java was based on version Java 1.1u5, but due to browser limitations, it can't display many webpages properly, because it is a HTML3.1-based browser. sad

As for ChibiPaint, it should run with Java 1.5 under Windows 95, 98, Me and NT 4 as it is the last version to support it (Java 1.6u7 unofficially).

I should try Java 1.5 when I try to max out the RAM on that laptop to 144 MB. If not, I'd stick with Java 1.4.

Offline

Board footer

Yep, still running PunBB
© Copyright 2002–2008 PunBB